%\documentclass[11.5pt]{article}
\documentclass{article}
\usepackage{textcomp}
\usepackage{textpos}
\usepackage{graphicx}
\usepackage{hyperref}
\usepackage{datetime}
\pagenumbering{gobble}
\usepackage{xcolor}
\usepackage{soul}
 \renewcommand{\familydefault}{\sfdefault}
\graphicspath{{./}}
\definecolor{taggingColor}{RGB}{179, 222, 193}
\newcommand{\tag}[1]{{% built to tag tech keywords.
    \texttt{
		\sethlcolor{taggingColor}
		%\textbf{
			\hl{#1}}
		%}
	}
}

\usepackage[
a4paper,
total={190mm,257mm},
left=10mm,
top=10mm,
bottom=10mm,
]{geometry}
\newcommand*\ruleline[1]{\vspace{0.1cm}\par\noindent\raisebox{.8ex}{\makebox[\linewidth]{\hrulefill\hspace{1ex}\raisebox{-.8ex}{#1}\hspace{1ex}\hrulefill}}\vspace{0.1cm}}

\newenvironment{personalinfo}
{\rule{1ex}{1ex}}
{\hspace{\stretch{1}}\rule{1ex}{1ex}}

\newdateformat{monthyeardate}{%
  \monthname[\THEMONTH], \THEYEAR}

\begin{document}
%top matter
\title{Curiculum Vitae}
\author{M\=ak\=an Tayebi}
\begin{textblock*}{7.5cm}(120mm,0mm)
	\makebox[7.5cm][r]{
		\parbox{4cm}{\raggedleft
			%my picture here
			\includegraphics[width=3.5cm, height=3.5cm]{pic}
		}
		\parbox{4.5cm}{\raggedright
			$\vert$ \textbf{M\=ak\=an Tayebi}\\
			$\vert$ \monthyeardate\today\\
			$\vert$ Geburtsdatum: 1991\\
			$\vert$ Geburtsort: Teheran, Iran\\
			$\vert$ \texttt{makan.tayebi@tum.de}\\
			$\vert$ \texttt{+49 157 53 48 76 25}\\
			$\vert$ $\vcenter{\hbox{\includegraphics[scale=0.35]{GitHub-Mark-32px}}}$ github.com/makantayebi\\
			$\vert$\\
		}
	}
	\\
	
\end{textblock*}
\begin{textblock*}{11cm}(0mm,0mm)
\ruleline{Bildung}
\begin{description}
\item [M.Sc. Informatik](2018) Technische Universit\"at M\"unchen\\
Masterarbeit: Public Key Tracing Framework Using Distributed Ledgers \\ % - am Lehrstuhl f\"ur Software and Systems Engineering\\
Notendurchschnitt: 2.1
%Seminar: Large Scale Malware Analysis - am Lehrstuhl f\"ur Sicherheit in der Informatik
\item [B.Sc. Software Engineering](2014) Polytechnikum Teheran\\
Bachelorarbeit: Software Versioning Framework\\
Notendurchschnitt (Hauptf\"acher): 16.4/20
\item [Schulabschluss (\"aquivalent Abitur) in Mathematik und Physik](2008) N.o.d.e.t Gymnasium\\
Notendurchschnitt:18.31/20
\end{description}
\end{textblock*}
\vspace{5cm}

\ruleline{Sprachkenntnisse}
%\begin{description}
\textbf{Persisch} Muttersprache\quad\quad\quad\textbf{Englisch} Flie{\ss}end\quad\quad\quad\textbf{Deutsch} 
B2 % Verhandlungssicher
\quad\quad\quad\textbf{Arabisch} Anf\"anger\\
%\end{description}

\ruleline{Berufliche Erfahrung}
\begin{description}
%----------------------------------------------------------------------------------------------------------------------------------------
\item [Java Entwickler](November 2018 - March 2019) Motius GmbH \\
"Making Smart Meters Smart" Project \tag{Java} \tag{UML}
\item [Entwickler] (Teilzeit: Oktober 2017 - September 2018) AISEC Fraunhofer\\
Roboterarmsimulation und -kontrolle \tag{ROS} \tag{C++}
\item [Wissenschaftlicher Mitarbeiter](Teilzeit: Oktober 2016 - September 2017) Technische Universit\"at M\"unchen\\
VPS Pflege \& RSS-Reader. Fokus auf digitale Plattformen und \"Okosysteme.\\
% Discovered a long term ongoing international brute force attack on VPSs of the chair that bypassed the University NIDS.
\tag{VBA}
\tag{WordPress}
\tag{Ubuntu}
\tag{PLS-PM}
\tag{Android}
\tag{iMacros}
\tag{Java}
%FULL LIST OF TASKS:
%TODO. or just write how did you use each of these tech keywords.
%----------------------------------------------------------------------------------------------------------------------------------------
\item [Softwareentwickler] (Teilzeit: Juni 2015 - September 2016) Infineon Technologies AG - Neubiberg\\
Desktop- und Embedded-App-Entwicklung und Testen.\tag{Java}\tag{C\#}\tag{C++}\tag{SBC}\tag{Arduino}
%System-Basis-Chip=SBC.
%Test Case Editor. As part of the project to create an automated tester device fo the products of Infineon Techs, a test case editor application was created by Java, to help the lab-engineer with creating test cases. A corresponding C++ application was developed on the Arduino based tester, to receive the test cases. User can edit the test case with the help of the provided GUI, und send the resulting test file to the tester device via a USB connection, in order to be executed. Furthermore, the Arduino based tests simulated wired networking messages und functionalities, like CAN Bus. Sending selective wake messages, wake up patterns... with C# a desktop application was developed to generate the necessary wake up pattern sequence, in order for field-application engineers to use it. An SBC heat dissipation simulator C# software by (Raffael Lustig) was maintained und improved.
%----------------------------------------------------------------------------------------------------------------------------------------
\item [Webentwickler](Vollzeit: September 2014 - M\"arz 2015) Saba System Sadra Co. - Teheran\\
Full-Stack-Entwicklung f\"ur S.I.E.M. Web-App. \tag{SIEM}\tag{LAMP}\tag{Frontend}\tag{elasticsearch}
%Web-App heisst Mavara - Eine MySQL Tabellen zu dem elasticsearch umwandeln
%----------------------------------------------------------------------------------------------------------------------------------------
\item[Tutor](Teilzeit: September 2013 - Januar 2014) Software Engineering I am Polytechnikum Teheran\\
Kursbuch: Pressman S.E. - UML , Projekten Beratung, Prüfungen Prüfen f\"ur 100 Studenten
% Grading, Holding UML Workshops, Supervising projects for 100 Students
\tag{UML}
%----------------------------------------------------------------------------------------------------------------------------------------
\item[Desktop-App-Entwickler](Freiberuflich: September 2012 - September 2013)\\
Desktop-Apps f\"ur B\"uros am Polytechnikum Teheran \tag{Java} \tag{MySQL}
%This application, originally ordered by the Scientific Council Bureau of Amirkabir University to create a database of student events, evaluate und reward them at the end of the year, was implemented using Java & MySQL. Its features include the following: - Entering raw data about scientific activities of different departments - Making queries und getting reports. - Edit any entry regarding Departments, Activity Types or Activities. - Print reports - Export reports to Microsoft Excel - Create Backup disks und data dumps - Password protection - Robust und fault-tolerant User Interface in Farsi
%----------------------------------------------------------------------------------------------------------------------------------------
\item[Praktikum](Teilzeit: August 2012 - M\"arz 2013) Pishro Pardazesh Ashna - Teheran\\
Desktop-App-Testen, Android-Entwicklung, Web-App-Entwurf und -Entwicklung \tag{Android}\tag{LAMP}
%----------------------------------------------------------------------------------------------------------------------------------------
\item[Desktop-App-Entwickler](Freiberuflich: Juli 2012) Peyman-e-Jonub GmbH - Teheran\\
Automating Hard Copy Archives Retrieval with Java's open source OCR libraries.\tag{Java}
%This commercial project was ordered by Peyman-e-Jonub (South Treaty Structures GmbH) Apparently some of their AutoCAD files of previous projects were unavailable, but still had the hard copied printouts of horizontal und vertical cuts of their designs und some statistical data left. Using Java's OCR und JDBC libraries documents were scanned, texts und fields were parsed, und data was retrieved.
%----------------------------------------------------------------------------------------------------------------------------------------
\item[Tutor](Teilzeit: September 2011 - Januar 2012)\\
'Principles of Computer und Programming'-Vorlesung; Notengebung und Halten von Tutorien vor 30 Studenten.\tag{C}
%----------------------------------------------------------------------------------------------------------------------------------------
\item[Grafikdesigner](Teilzeit: August 2009 - Dezember 2009) VALA Werbeagentur - Teheran\\
Einkaufstasche Entwurf - \tag{Adobe Photoshop} \tag{CorelDRAW}
\end{description}

\ruleline{Publikationen}
\begin{description}
% \item Public Key Tracing Framework For Messaging Apps Using Distributed Ledgers (\textbf{Voraussichtlich}) (Masterarbeit, erster Autor)
\item Sensorless Dual-Axis Solar and MPP Tracker (\textbf{Voraussichtlich}) (Interdisziplinär Projekt an der T.U, erster Autor)
\item  Integrating security evaluations into virtual commissioning (\textbf{Voraussichtlich}, dritter Autor)
\end{description}

% \ruleline{Hobbys}
% \begin{description}
% \item[]
% Fahrrad, Wandern, Reisen, Pers\"onliche Entwicklung (Neue F\"ahigkeiten, Sprachen, usw.), Fu{\ss}ball Spielen, Cocktails Machen
% %----------------------------------------------------------------------------------------------------------------------------------------
% \end{description}
\ruleline{Ehrenamtliche Erfahrung}
\begin{description}
%----------------------------------------------------------------------------------------------------------------------------------------
\item [\"Offentlichkeitsarbeit] (September 2011 - September 2012)\\
In der Fachschaft in der Computer-Abteilung in der T.U.T   - 86\% Stimme Unterst{\"u}tzung
\item [Beschaffungsmanagement in der Fachschaft] (September 2010 - September 2011)\\
In der Fachschaft in der Computer-Abteilung in der T.U.T - 71\% Stimme Unterst{\"u}tzung
\end{description}
\clearpage
\ruleline{Projekte} % TODO: add tags for these projects too.
\begin{description}
\item [Vandidad Taxi Agancy] (Januar 2019 - unbeschränkt)\\
System Requirement Engineering, Analysis and Design of Taxi tracking system\\
Personal Project / Family Business.
\tag{UML}
\item [Making Smart Meters Smart](November 2018 - M\"arz 2019)\\
At Motius GmbH, renovating the utility meter readers of SWM, and increasing the connectivity. \tag{Java}
\item [Public Key Tracing Framework Using Distributed Ledgers](Januar 2018 - November 2018)\\
Using the IOTA Cryptocurrency to provide distributed solution for key management and Man-in-the-Middle attack prevention in instant messaging.
\tag{Java}\tag{Javascript}\tag{Docker}\tag{cryptocurrency}
\item [Sensor-less Dual-Axis Solar und Maximum Power Point Tracker](October 2016 - October 2017)\\ %TODO: update when finished.
M.Sc. Credits: Inter Disciplinary Project. Design und Construction of a Sensorless Dual-Axis Solar und Maximum Power Point Tracker. \tag{Arduino} \tag{C++} \tag{SPI}\tag{PWM}\tag{MPPT}\tag{Hill Climbing}
%AS IDP. Among challenges, design with not enough background (Duh! IDP.), building a prototype in a rather unfitting lab (should have used a breadboard), understanding the principles of Solar Cells und load balancing, implementing parallel control theories, etc. 
%TODO: add some details when ready.
\item [Web Scraping](August 2017)\\
Using Java und the HtmlUnit API to extract necessary data for the studies at the B.I. chair at TUM.
\tag{HtmlUnit}
\tag{Java}
\item [Servicemehr Web-App](2016)\\
Servicemehr.ir is an automation portal, ideal for School Service Businesses. Technology \tag{LAMP} \tag{Laravel}
\item [Traffic Aware Planner](Februar 2015)\\
Considering daily commuting habits, traffic, und user's todo-list, suggest the optimum schedule for the User. Team of 3 Students. \tag{Android} \tag{Google-APIs} \tag{Swoogle} \tag{BMW-APIs} 
%Traffic Awar Planner (Mobility Agenda) Project is done as part of the Mobility Services Practical Course project team called 'roller coders' in cooperation with the business partner BMW. Mobility Agenda is an app that allows its user to ooptimize their daily schedule, by integrating the user's task within their daily calendar of fixed appointments. Further, commuting habits are also taken into account, und automatically added. Tasks are automatically scheduled by the app with the regard to the optimal time und location. While the app was functional at the end of the course, there are still areas in which it needed improvement und other ideas which could be added to further versions of the app. For version control, git on bitbucket was used. The app uses some of google APIs in order to work more efficiently: Calendar API, Google Cloud User Accounts, G Maps API, G Maps Directions API, Google Maps Geocoding API, Google Places API for android, Google Places API Web Services, Google+ API. To better semantically understund what the tasks of the user are, the app uses the Swoogle Service offered by the university of Maryland, und categorized the tasks based on their title. No catching has been implemented in this laboratory version of the app. The app is consisted of the following activities/pages: Login - Calendar view of the daily plan - Map view of the daily plan - side menu for shortcuts - to-do list und to-do editor - habit data, that shows the data collected by the BMW through car GPS.
\item [Bimedad Web-App](Dezember 2015)\\
Heimprojekt: Online Dokument \& Formular Prozessor\tag{LAMP}, \tag{blo{\ss}e JS}
%you took it down after three months. excell import/export possibilities, PDF export, text/image/number aware, generate forms from names, multi language, MVC architecture. HUGE framework. HUGE is a simple MVC login solution. Huge is obsolete now, und using Laravel, Yii, Symfony is more promising. But at the time, it was the most straight forward solution for security und login. Now login features are well provided by these frameworks.
\item [Dresden Traffic Analysis](November 2015)\\
Analysis on ~30GB of car GPS data, to provide logistic solutions. Practical Course. \tag{Java} \tag{Python}
% As part of the winter semester lab course of mobility service, we analyzied tens of gigabytes of GPS data of the taxi cars of Dresden Java und Python were used, und interesting insights into different crossroads, routing, car acceleration und travel efficiency were attained. regarding the size of the project, WEKA was not used, und specific implementations were developed for data preparation und analyzing. we generated a heat map of acceleration of cars. 
\item[P2P Anonymous VOIP](Sommer Semester 2015)\\
Implementing a tester for the modules of class project: The P2P VoIP.
Tester features include inter-module proxies, Logging events, Reading INI-files, und the event-driven attack scenario API on each node und system layer.\\
Ein Kursproject f\"ur P2P Systeme und Sicherheit kurs
\tag{Java}
%Sommer 2015: The aim of the project is to build an anonymous VoIP application using a P2P architecture. Multiple layers such as Application (VoIP), KX (Crypto layer – key exchange), DHT participate in such a system. Four different groups formed. Three groups to implement the mentioned layers, one group, consisting of me und my teammate Biggs D. was assigned the task of testing different modules. Our implementation serves two purposes, first, acts as a transparent proxy on the users’ machine, und monitor the traffic of modules of other modules of a VoIP node. In another mode, it executes multiple predefined scenarios, to test how other modules react under certain circumstances.
%The software is built using Java. The promising Runtime Environment version needed for it to run is 1.7.0_13. Used IDE is NetBeans 7, which would be more convenient for code maintenance. Two libraries seemed necessary for faster und concept-focused Entwicklung module. First library used, is “ini4j-0.5.4.jar”, which is used to parse “.ini” configuration files. The second library called “commons-cli-1.3.1.jar” is Apache Commons Command line interface, which “provides an API for parsing command line options passed to programs”, since our test module is also CL based.

%TODO add the rest of the project explanations from the word to here as comments.

\item[Automatic Revision System Repository](2014)\\
Bachelorarbeit. A consensus system for  analysers to form a tree based on detected versions of program.
%In this implantation of my thesis an automatic revision system is built. Aim of the project was to answer the need to automatically manage revisions of algorithms in particular. It turned out to be an extremely difficult und disputed aim. So the result is just an infrastructure. It is a consensus ground work to work with a variety of code-difference detection algorithms to exert an analyzable und structured performance, und make decisions coherently. https://en.wikipedia.org/wiki/Program_analysis - Analyze: american , Analyse: British.

\item[Data-Mining Wettbewerb](Sommer Semester 2014)\\
Predicting return probability of online orders, using data-mining. \tag{WEKA} \tag{Java}
%In relation to the data mining course in bachelor, I formed a team of 6 people und participated in an international data mining challenge. We were supposed to mine the data provided by a year of an online shop, und come up with a prediction model that makes a guess whether the customer will return the ordered product or not. WEKA was used, und some programming was needed to preprocess the data und create additional features. features like how many orders with-in the same day have happened...
\item[Mehrsprachige Enzyklop\"adie Relationenschema](M\"arz 2013)\\
A database lab course project. A fully normalized database with a fully navigable UI, adding und editing features. Many to many relation between words, articles, languages. \tag{LAMP}
%As a project for database design laboratory course, a multi-language encyclopedia was requested with the following requirements:
%·         Schema has to be fully normalized.
%·         Each word can have an article about it.
%·         Relations between words of different languages are many to many.
%·         Users should be able to navigate between languages.
%·         Editors und writers should be able to add translations for a word or for an article. But they should be notified first if there exists some translation in the destination language already.
%These requirements led to a schema that is elegant und rather confusing at first glance. The database was implemented in MySQL. A User Interface was implemented in PHP.

\item[Anonymous Filesharing](Winter Semester 2013)\\
Concerning different natures of attackers und networks, three designs were carried out: Distributed, Server Based, und Server Supervised. Each design works with a set of assumptions. We faced a trade-off between system efficiency und attack models, in order to provide total anonymity against adversaries.
%As a group project for "Information und communication security" course that was presented by Shahriari H. PhD at Amirkabir, An Anonymous File Sharing System had to be built from scratch. This project included the design of its architecture, necessary protocols, und implementation. Since the exact requirements were not defined, it was up to us to come up with reasonable assumptions und requirements. This led to brainstorms that resulted into a variety ideas und designs. Three different software architectures were developed in the process:
%Distributed File Sharing
%In this architecture, we tried to simulate real-life information passing situations. In real life, people know each other personally, trust each other, und pass on information that might be true or not, und it's up to receiver to believe it or not. This architecture needs tons of discussions to prove its effectiveness. It needs much enhancements und added features to remain secure und usable. The Idea is that any user that wants to join the community of users, should download or get the client-app from someone or download it from somewhere. Then he or she should "pair" with somebody that is already a member of the community. Pairing for the first time should be a "SolidPair" which includes the exchange of symmetric keys outside the domain of our application. This means that two parties should know each other, outside the boundaries of our application. After that client-app tries to "WeakPair" automatically. It is obvious that several isolated communities may exist. This, Is not an issue. In fact, isolation may make such an application much more useful. There might be a few points of failure that should be addressed first. In theory, we came up with best effort or absolute solutions for some of these· ( - A malicious user might start to pair with a large part of the community, which means that it can have access to a lot of sources. This ability enables user to guess or determine the real source of a file. This issue is not absolutely addressed, but if a huge part of client exhibit certain behaviors, such an attack would become a lot harder. - Traffic analysis: This action may generally be initiated by governments, ISPs, etc. It is not possible to completely deal with such a concern. - Filtering: This application is meant to give people the power to freely express their opinions. When faced with this kind of problem, we have to reduce the chance of detection. For example client-apps should have the ability to randomly choose their own listening ports. und we came up with a system for clients to manage their own und their pair’s port number. )This Architecture absolutely HAS TO assume that clients have a valid und constant IP address. Regarding the time-restrictions of a semester und grading policies, this architecture was abandoned before specific design.
%Server-based File Sharing
%In this architecture, we actually use a server to keep the files und let users download them freely. This means that clients should have options like upload und download und seeing the list of new files. This architecture was chosen because of its feasibility during the semester. Protocols like login process were exactly designed und implemented. Server und Client were implemented, und it turned to a real application. This architecture has weaknesses und advantages compared to distributed architecture: disadvantages: (- It has a single point of failure. Keeping up the server has its own expenses und it can be filtered more easily. Server is known to everyone und faces the danger of DOS attacks. - Since the server is known, with traffic analysis, creator of files is easier to guess statistically. - If users want to sign up to this server und join the community to read files, they have to set passwords on the net, und the security these passwords will depend on X509. Not tha it's not safe, but this dependency adds to our assumptions. - A system is not yet designed to create isolated communities.) Advantages: ( - Even users that do not have a valid IP are able to use it if there is a proper IP for Server. - Simpler security systems leave out less unaudited places. Which means it's less likely for them to face an unpredicted problem.)
%Server-Supervised File Sharing)
%Traffic analysis was a serious threat to Server-Based architecture. So we designed an architecture in which there are a number of clients und one of them plays the role of server. Server is confidential. In other words, only community members know who the server really is. In this architecture, server does not upload und download files, because that would sell out the server; but server holds metadata about files und data about who has which files. We designed protocols that help clients get a list of files uploaded, und choose one to download. Server does not keep files, but server introduces the client 'A' that has the file to a random dealer client 'D'. Then introduces 'D' to 'C' who wants the file. 'A' sends encrypted file to 'D' und 'D' forwards data to 'C'. This way 'C' cannot guess who the source of the file really is. Und 'D' who knows the source of the file, is not aware of the content or name of the file. This system assumes that clients 'D' und 'C' do not conspire to discover the source of the file. und no client will analyses the traffic of the network. In other words, community members are trusted.
%Overall, protocols of this system are designed in a way that no one from outside the community can guess the server with traffic analysis. No security expert usually uses the word absolutely, but we have high confidence in the anonymity of the file origins here.
\item[Cryptographic Projects](Sommer Semester 2013)\\
Cryptography practice: Decrypting a many-time pad encryption mistake manually, Implementing De/Encryption schemes using AES. CBC \& CTR, Practicing the MITM attack on asynchronous crypto, Exploiting a vulnerable RSA immitation to break the modulus calculation, Implementing real time File Authentication module for video files. \tag{Java}
\item[Quoridor AI Agent](Januar 2013)\\
Server und AI agents for a Quoridor game. Genetic Algorithms, Minimax, (with) Alpha Beta pruning. \tag{Java}
%As a project for Artificial intelligence course, me und my colleague Farshad A. created a server for Quoridor game, und implemented a number of intelligent clients to play with it. One client with an enhanced Genetic Algorithm und another client with Minimax, with und without Alpha und Beta pruning. 
\item[AI-based image degradation](November 2012)\\
Using Genetic Algorithms to regenerate an image, but with less color variety - \tag{Java}
%As a peripheral project for Artificial intelligence course, I und my colleague Farshad A. created an application that could take an image und reduce its size by reducing the number of colors that were used in the image. An enhanced und efficient version of Genetic algorithm was used to choose the set of remaining colors in the picture.
\item[Vector-based Offline Search Engine](Sommer Semester 2011)\\
Offline Processing 1GB of chemistry articles to create a fast search engine, stemming library, und stop word list. Trees, Heaps, linked lists und hash tables implemented from scratch. Vector models are created offline, und compared with search keywords. Criteria: Offline training should must take 10 minutes on disk drives. \tag{Java}
%As a project for the Data Storage und Retrieval course, A search engine had to be built to index 1.5GB worth of chemistry paper in plain ASCII format while offline. Constraints: The task couldn’t take more than 15 minutes on an average Laptop from 2010, using traditional HDDs (No SSD allowed). No sorts of databases were allowed to be used whatsoever (only the OS’s file system und default non-avoidable caching). Indexing is consisted of reading the papers, stemming the words, und mapping them to a space where each dimension represents a word. Each set of words is considered a vector as a result. Indexing has to be good enough so that the search engine would return the result in less than a second. 10 rationally related documents had to be shown to the user und nothing more. UI has to remain responsive in both phases und a progress bar should also be provided.
%Different Sorts of Heaps, Trees, Tries, PATRICIA tree und improved Linked lists were implemented in this project in order to meet the tough requirements. In the end the indexing task took more than 20 minutes with the help of Java Garbage Collector :-) Quality of results was satisfactory.
\end{description}
\iffalse
\ruleline{Honors und Awards}
\begin{description}
\item[Iranische Khwarazmi Jugendliche Preis in Physik Bereich] (2006)\\
Footprints of the Ball Project: A dynamo-physical survey on the effect of collision of an elastic sphere on a dusty surface.
Platz 1 in Teheran - Platz 4 national. kollegen: Zamani A.F; Masoudi A.H;
\item[NODET Schüler National Student Olympische Spiele](2001)\\
Schach: Platz 3
\end{description}
\fi
\end{document}
